import { AllowedMethods, BehaviorOptions, CachedMethods, EdgeLambda, FunctionAssociation, ICachePolicy, IFunction, IKeyGroup, IOrigin, IOriginRequestPolicy, IResponseHeadersPolicy, ViewerProtocolPolicy } from "aws-cdk-lib/aws-cloudfront";
import { Construct } from "constructs";
import { WebsiteRedirectFunctionProps } from "./website-redirect-function";
export declare class BehaviorBuilder {
    protected options: BehaviorOptions;
    protected constructor(origin: IOrigin);
    fallbackOrigin(fallbackOrigin: IOrigin): BehaviorBuilder;
    allowedMethods(allowedMethods?: AllowedMethods): BehaviorBuilder;
    cachedMethods(cachedMethods?: CachedMethods): BehaviorBuilder;
    cachePolicy(cachePolicy: ICachePolicy): BehaviorBuilder;
    compress(compress?: boolean): BehaviorBuilder;
    originRequestPolicy(originRequestPolicy?: IOriginRequestPolicy): BehaviorBuilder;
    responseHeadersPolicy(responseHeadersPolicy?: IResponseHeadersPolicy): BehaviorBuilder;
    smoothStreaming(smoothStreaming?: boolean): BehaviorBuilder;
    viewerProtocolPolicy(viewerProtocolPolicy?: ViewerProtocolPolicy): BehaviorBuilder;
    functionAssociations(functionAssociations?: FunctionAssociation[]): BehaviorBuilder;
    viewerRequestFunction(viewerRequestFunction: IFunction): BehaviorBuilder;
    websiteRedirectFunction(scope: Construct, id: string, props: WebsiteRedirectFunctionProps): BehaviorBuilder;
    viewerResponseFunction(viewerResponseFunction: IFunction): BehaviorBuilder;
    edgeLambdas(edgeLambdas?: EdgeLambda[]): BehaviorBuilder;
    trustedKeyGroups(trustedKeyGroups?: IKeyGroup[]): BehaviorBuilder;
    defaults(): BehaviorBuilder;
    build(): BehaviorOptions;
    static fromOrigin(origin: IOrigin): BehaviorBuilder;
}
