import { Function } from "aws-cdk-lib/aws-cloudfront";
import { Construct } from "constructs";
export interface WebsiteRedirectFunctionProps {
    /**
     * Optional domain to redirect to if the host header does not match.
     */
    readonly apexDomain?: string;
    /**
     * The default file to request when the URI ends with a '/'. Set to en empty string to disable.
     *
     * @default "index.html"
     */
    readonly indexFile?: string;
}
export declare class WebsiteRedirectFunction extends Function {
    constructor(scope: Construct, id: string, props: WebsiteRedirectFunctionProps);
}
