import { PythonFunction, PythonFunctionProps } from "@aws-cdk/aws-lambda-python-alpha";
import { FunctionAlarms, FunctionAlarmsOptions } from "./function-alarms";
import { DeployedFunctionOptions } from "./extended-function";
import { FunctionDeployment } from "./function-deployment";
import { Construct } from "constructs";
/**
 * Properties for PythonFunctionAlpha
 */
export interface ExtendedPythonFunctionProps extends PythonFunctionProps, FunctionAlarmsOptions, DeployedFunctionOptions {
}
/**
 * Extended version of the alpha PythonFunction that supports alarms and deployments.
 */
export declare class ExtendedPythonFunction extends PythonFunction {
    readonly alarms: FunctionAlarms;
    readonly deployment: FunctionDeployment;
    constructor(scope: Construct, id: string, props: ExtendedPythonFunctionProps);
}
