import { ARecord, ARecordProps } from "aws-cdk-lib/aws-route53";
import { Construct } from "constructs";
/**
 * Options for LatencyARecord.
 */
export interface LatencyARecordOptions {
    /**
     * The region to use for the record.
     *
     * @default Stack.of(this).region
     */
    readonly region?: string;
    /**
     * The identifier to use for the record.
     *
     * @default Stack.of(this).region
     */
    readonly setIdentifier?: string;
}
/**
 * Properties for LatencyARecord.
 */
export interface LatencyARecordProps extends ARecordProps, LatencyARecordOptions {
}
/**
 * An extended ARecord that performs latency based routing.
 */
export declare class LatencyARecord extends ARecord {
    /**
     * Creates a new LatencyARecord.
     */
    constructor(scope: Construct, id: string, props: LatencyARecordProps);
}
