import { Grant, IGrantable } from "aws-cdk-lib/aws-iam";
import { Construct } from "constructs";
/**
 * Represents a group of SSM Parameter paths.
 */
export declare class ParameterPaths {
    private readonly stack;
    readonly paths: string[];
    constructor(scope: Construct, ...paths: string[]);
    protected validatePath(path: string): void;
    grantDescribe(grantee: IGrantable): Grant;
    grantRead(grantee: IGrantable): Grant;
    grantWrite(grantee: IGrantable): Grant;
    grantReadWrite(grantee: IGrantable): Grant;
}
