import { AwsCustomResource } from "aws-cdk-lib/custom-resources";
import { Construct } from "constructs";
/**
 * Properties for ParameterReader
 */
export interface ParameterReaderProps {
    readonly parameterName: string;
    readonly region: string;
}
/**
 * Custom resource allowing SSM parameter strings to be read across regions.
 */
export declare class ParameterReader extends AwsCustomResource {
    constructor(scope: Construct, id: string, props: ParameterReaderProps);
    getStringValue(): string;
}
